<script setup lang="ts">
import { type RouterView } from 'vue-router'
import { useAppStore } from './stores/AppStore'
import { useMemberStore } from './stores/MemberStore'
import { useCaretakerStore } from './stores/CaretakerStore'

// using
const appStore = useAppStore()
const memberStore = useMemberStore()
const caretakerStore = useCaretakerStore()

// setup
async function setup() {
	await appStore.setup()
	await memberStore.setup()
	//await caretakerStore.setup()
}
setup()
</script>


<template>
	<RouterView></RouterView>
</template>
